#!/usr/bin/perl -Tw
#####################################################
# gnudip.cgi
#
# This is the GnuDIP Web Tool.
#
# See COPYING for licensing information.
#
# Written by:
#
#   Creighton MacDonnell
#   http://macdonnell.ca/
#
# Derived from GnuDIP 2.1.2 written by:
#
#   Mike Machado
#   mike@innercite.com
#
#####################################################

# Perl modules
use strict;

# locate ourselves
use vars qw($gnudipdir);
use FindBin;
BEGIN {
  $gnudipdir = '';
  if ($FindBin::Bin =~ /(.*)\/.+?/) {
    $gnudipdir = $1;
  }
}
use lib "$gnudipdir/lib";

# GnuDIP CGI subroutine
use gdipcgi;

# run the CGI
gdiprun();

exit;

